
<form method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=support_hours_widget&action=configuration">
    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>

            <tr>
                <td class="fieldlabel">{$lang['Enabled']}</td>
                <td class="fieldarea">
                    <select name="enabled" class="form-control select-inline">
                        <option value="yes" {if $config['enabled'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['enabled'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['Enable or disable all custom functions']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Panel Title']}</td>
                <td class="fieldarea">
                    <input type="text" name="panel_title_default" value="{$config['panel_title_default']}" class="form-control input-inline input-300">
                    {$lang['Default. If you leave empty it will show (Support Hours)']}

                    <div class="form-group">
                        <details>
                            <summary type="button" class="btn btn-primary">
                                <i class="fa fa-language"></i>&nbsp;&nbsp;{$lang['Show all languages']}&nbsp;&nbsp;<i class="fa fa-angle-double-down"></i>
                            </summary>
                            <table class="form">
                                {foreach $languages_list as $language}
                                    <tr>
                                        <td class="fieldlabel">{$language|capitalize}</td>
                                        <td class="fieldarea" style="width: 250px;"><input type="text" name="panel_title[{$language}]" {if $config['panel_title'][$language]} value="{$config['panel_title'][$language]}" {/if} class="form-control input-inline input-300"><td>
                                    </tr>
                                {/foreach}
                            </table>
                        </details>
                    </div>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Online Notice']}</td>
                <td class="fieldarea">
                    <input type="text" name="online_notice_default" value="{$config['online_notice_default']}" class="form-control input-inline input-500">
                    {$lang['Default. If you leave empty it will show (We are online and will respond to your request soon!)']}

                    <div class="form-group">
                        <details>
                            <summary type="button" class="btn btn-primary">
                                <i class="fa fa-language"></i>&nbsp;&nbsp;{$lang['Show all languages']}&nbsp;&nbsp;<i class="fa fa-angle-double-down"></i>
                            </summary>
                            <table class="form">
                                {foreach $languages_list as $language}
                                    <tr>
                                        <td class="fieldlabel">{$language|capitalize}</td>
                                        <td class="fieldarea" style="width: 500px;"><input type="text" name="online_notice[{$language}]" {if $config['online_notice'][$language]} value="{$config['online_notice'][$language]}" {/if} class="form-control input-inline input-500"><td>
                                    </tr>
                                {/foreach}
                            </table>
                        </details>
                    </div>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Offline Notice']}</td>
                <td class="fieldarea">
                    <input type="text" name="offline_notice_default" value="{$config['offline_notice_default']}" class="form-control input-inline input-500">
                    {$lang['Default. If you leave empty it will show (We will reply the next business day.)']}

                    <div class="form-group">
                        <details>
                            <summary type="button" class="btn btn-primary">
                                <i class="fa fa-language"></i>&nbsp;&nbsp;{$lang['Show all languages']}&nbsp;&nbsp;<i class="fa fa-angle-double-down"></i>
                            </summary>
                            <table class="form">
                                {foreach $languages_list as $language}
                                    <tr>
                                        <td class="fieldlabel">{$language|capitalize}</td>
                                        <td class="fieldarea" style="width: 500px;"><input type="text" name="offline_notice[{$language}]" {if $config['offline_notice'][$language]} value="{$config['offline_notice'][$language]}" {/if} class="form-control input-inline input-500"><td>
                                    </tr>
                                {/foreach}
                            </table>
                        </details>
                    </div>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Time format']}</td>
                <td class="fieldarea">
                    <select name="time_format" class="form-control select-inline">
                        <option value="12" {if $config['time_format'] eq "12"}selected {/if}>12</option>
                        <option value="24" {if $config['time_format'] eq "24"}selected {/if}>24</option>
                    </select>
                    {$lang['Time display format in the client area']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel"></td>
                <td class="fieldarea">
                    {$lang['Time zone']}: <b>{$timezone}</b><br>
                    {$lang["Today's day of the week"]}: <b>{$lang[$today]}</b><br>
                    {$lang['Server Time']}: <b>{$time}</b><br>
                    {$lang['Support status']}:
                    {if $status eq 'Online'}
                        <b style="color: green;">{$status}</b>
                    {else}
                        <b style="color: red;">{$status}</b>
                    {/if}
                    <br>
                    <h2>{$lang['Days and times of technical support ONLINE']}</h2>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Monday']}</td>
                <td class="fieldarea">
                    {$lang['Start Time']}
                    <input class="form-control input-inline input-50" type="number" name="monday_start_time_h" value="{$config['monday_start_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="monday_start_time_m" value="{$config['monday_start_time_m']}" min="0" max="59" required>
                    {$lang['End Time']}
                    <input class="form-control input-inline input-50"type="number" name="monday_stop_time_h" value="{$config['monday_stop_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="monday_stop_time_m" value="{$config['monday_stop_time_m']}" min="0" max="59" required>
                    <label class="checkbox-inline"><input type="checkbox" name="monday_day_off" {if $config['monday_day_off'] eq 'on'} checked {/if}>{$lang['Day off']}</label>
                    <label class="checkbox-inline"><input type="checkbox" name="monday_24_hours" {if $config['monday_24_hours'] eq 'on'} checked {/if}>{$lang['24 hours']}</label>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Tuesday']}</td>
                <td class="fieldarea">
                    {$lang['Start Time']}
                    <input class="form-control input-inline input-50" type="number" name="tuesday_start_time_h" value="{$config['tuesday_start_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="tuesday_start_time_m" value="{$config['tuesday_start_time_m']}" min="0" max="59" required>
                    {$lang['End Time']}
                    <input class="form-control input-inline input-50"type="number" name="tuesday_stop_time_h" value="{$config['tuesday_stop_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="tuesday_stop_time_m" value="{$config['tuesday_stop_time_m']}" min="0" max="59" required>
                    <label class="checkbox-inline"><input type="checkbox" name="tuesday_day_off" {if $config['tuesday_day_off'] eq 'on'} checked {/if}>{$lang['Day off']}</label>
                    <label class="checkbox-inline"><input type="checkbox" name="tuesday_24_hours" {if $config['tuesday_24_hours'] eq 'on'} checked {/if}>{$lang['24 hours']}</label>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Wednesday']}</td>
                <td class="fieldarea">
                    {$lang['Start Time']}
                    <input class="form-control input-inline input-50" type="number" name="wednesday_start_time_h" value="{$config['wednesday_start_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="wednesday_start_time_m" value="{$config['wednesday_start_time_m']}" min="0" max="59" required>
                    {$lang['End Time']}
                    <input class="form-control input-inline input-50" type="number" name="wednesday_stop_time_h" value="{$config['wednesday_stop_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="wednesday_stop_time_m" value="{$config['wednesday_stop_time_m']}" min="0" max="59" required>
                    <label class="checkbox-inline"><input type="checkbox" name="wednesday_day_off" {if $config['wednesday_day_off'] eq 'on'} checked {/if}>{$lang['Day off']}</label>
                    <label class="checkbox-inline"><input type="checkbox" name="wednesday_24_hours" {if $config['wednesday_24_hours'] eq 'on'} checked {/if}>{$lang['24 hours']}</label>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Thursday']}</td>
                <td class="fieldarea">
                    {$lang['Start Time']}
                    <input class="form-control input-inline input-50" type="number" name="thursday_start_time_h" value="{$config['thursday_start_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="thursday_start_time_m" value="{$config['thursday_start_time_m']}" min="0" max="59" required>
                    {$lang['End Time']}
                    <input class="form-control input-inline input-50" type="number" name="thursday_stop_time_h" value="{$config['thursday_stop_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="thursday_stop_time_m" value="{$config['thursday_stop_time_m']}" min="0" max="59" required>
                    <label class="checkbox-inline"><input type="checkbox" name="thursday_day_off" {if $config['thursday_day_off'] eq 'on'} checked {/if}>{$lang['Day off']}</label>
                    <label class="checkbox-inline"><input type="checkbox" name="thursday_24_hours" {if $config['thursday_24_hours'] eq 'on'} checked {/if}>{$lang['24 hours']}</label>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Friday']}</td>
                <td class="fieldarea">
                    {$lang['Start Time']}
                    <input class="form-control input-inline input-50" type="number" name="friday_start_time_h" value="{$config['friday_start_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="friday_start_time_m" value="{$config['friday_start_time_m']}" min="0" max="59" required>
                    {$lang['End Time']}
                    <input class="form-control input-inline input-50" type="number" name="friday_stop_time_h" value="{$config['friday_stop_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="friday_stop_time_m" value="{$config['friday_stop_time_m']}" min="0" max="59" required>
                    <label class="checkbox-inline"><input type="checkbox" name="friday_day_off" {if $config['friday_day_off'] eq 'on'} checked {/if}>{$lang['Day off']}</label>
                    <label class="checkbox-inline"><input type="checkbox" name="friday_24_hours" {if $config['friday_24_hours'] eq 'on'} checked {/if}>{$lang['24 hours']}</label>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Saturday']}</td>
                <td class="fieldarea">
                    {$lang['Start Time']}
                    <input class="form-control input-inline input-50" type="number" name="saturday_start_time_h" value="{$config['saturday_start_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="saturday_start_time_m" value="{$config['saturday_start_time_m']}" min="0" max="59" required>
                    {$lang['End Time']}
                    <input class="form-control input-inline input-50" type="number" name="saturday_stop_time_h" value="{$config['saturday_stop_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="saturday_stop_time_m" value="{$config['saturday_stop_time_m']}" min="0" max="59" required>
                    <label class="checkbox-inline"><input type="checkbox" name="saturday_day_off" {if $config['saturday_day_off'] eq 'on'} checked {/if}>{$lang['Day off']}</label>
                    <label class="checkbox-inline"><input type="checkbox" name="saturday_24_hours" {if $config['saturday_24_hours'] eq 'on'} checked {/if}>{$lang['24 hours']}</label>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Sunday']}</td>
                <td class="fieldarea">
                    {$lang['Start Time']}
                    <input class="form-control input-inline input-50" type="number" name="sunday_start_time_h" value="{$config['sunday_start_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="sunday_start_time_m" value="{$config['sunday_start_time_m']}" min="0" max="59" required>
                    {$lang['End Time']}
                    <input class="form-control input-inline input-50" type="number" name="sunday_stop_time_h" value="{$config['sunday_stop_time_h']}" min="0" max="23" required>
                    :<input class="form-control input-inline input-50" type="number" name="sunday_stop_time_m" value="{$config['sunday_stop_time_m']}" min="0" max="59" required>
                    <label class="checkbox-inline"><input type="checkbox" name="sunday_day_off" {if $config['sunday_day_off'] eq 'on'} checked {/if}>{$lang['Day off']}</label>
                    <label class="checkbox-inline"><input type="checkbox" name="sunday_24_hours" {if $config['sunday_24_hours'] eq 'on'} checked {/if}>{$lang['24 hours']}</label>

                </td>
            </tr>

            </tbody>
        </table>
    </div>
    <div class="btn-container">
        <button type="submit" name="submit" value="submit" class="btn btn-primary"> {$lang['Save Changes']}</button>
    </div>
</form>